Subject: [idn] Re: IETF Notification of Patent Publication for WO 01/90955 A2

From: Harald Alvestrand <[email-masked]>
Date: Thu, 17 Jan 2002 16:29:11 +0100

Thank you for your message.
It will be published on the IETF IPR statements web page.

We have some trouble parsing it, however, since:

- there is no attached document with more than 87 pages
- the URL referred to does not point to a conformant HTTP page
- discussion of technology does not in general require a license;
  the IETF as such does not implement technology.

If you desire comments from the IETF community on the patent claim, pointing
to or enclosing a single document might be a more useful way of sending it.

             Harald Alvestrand, speaking in the IETF officer role

--On onsdag, januar 16, 2002 19:44:01 -0500 "Heinze, Bill" 
<[email-masked]> wrote:

>
>
> January 16, 2002
> Internet Engineering Task Force                 VIA E-MAIL TO:
> idn Working Group Mailing List                 [email-masked]
>
> Re:  IETF Notification of Patent Publication for WO 01/90955 A2
>         Our File No. 561401-9010
>
>
> Dear Subscribers:
>
>
> In accordance with Section 10 of the The Internet Standards Process (RFC
> 2026), we are writing on behalf of .NU Domain and its affiliate
> WorldNames,TM Inc. to notify you of the publication of World Intellectual
> Property Organization International Publication No. WO 01/90955 A2
> entitled "Internationalized Domain Name System with Iterative
> Conversion." A copy of this document is available at the following
> website:
>
> http://l2.espacenet.com/dips/bnsviewer?CY=ep&LG=en&DB=EPD&PN=WO0190955&ID
> =WO+++0190955A2+I+
>
> This patent application generally relates to a system, method, and logic
> for managing data, including a database for implementing a key value
> operation, such as a DNS resource record lookup, with a key having a
> predetermined encoding, such as Unicode. Also provided is an iterative
> converter for iteratively converting the key from each of multiple
> encodings to the predetermined encoding before performing the key value
> operation with each converted key. The system may also include a
> validator for verifying that a syntax of each converted key is valid and
> a normalizer for normalizing each converted key.
>
>
> We believe that many of the technologies being discussed in this mailing
> list infringe one or more of the 213 claims starting at page 87 of the
> attached publication. We would therefore like to propose that you review
> these claims and contact us immediately with regard to obtaining a
> license and/or authorized access to WorldNames™ MLDNS™ multilingual
> DNS products and services described at the following hyperlink:
>
>  http://www.worldnames.net/MLDNS/default.cfm
>
> Please note that failure to promptly obtain the appropriate authorization
> may subject you and your organization to liability for royalties in the
> U.S. as of the date that you receive this letter under 35 U.S.C.
> §154(d). Once the application is granted, additional remedies are also
> available including injunctions, treble damages, and attorney fees. A
> variety of other presumptions and remedies may also be available in the
> U.S. and abroad.
>
> If you believe that you have a defense to these allegations, such as
> non-infringement or prior invention, then please provide us with
> additional information to refute our allegations and avoid further
> involvement with this matter. Similarly, if you believe that any of the
> attached claims are not patentable, then please bring them to our
> attention, along with any relevant prior art, so that we may submit that
> information to the appropriate patent offices.
>
> We are looking forward to hearing from you as soon as possible.
>
> Sincerely,
>
> William F. Heinze, Esq.*
> Thomas, Kayden, Horstemeyer & Risley, L.L.P.
> 100 Galleria Parkway, N.W., Suite 1750
> Atlanta, GA 30339-5948
>
> Tel.:  (770) 933-9500
> Fax:  (770) 951-0933
> Profile:  http://www.tkhr.com/wfh.htm
>
> *Admitted to practice in the Commonwealth of Virginia.  Not admitted in
> Georgia.
>
>
> cc:   Mr. James Seng, Co-Chair, idn Working Group, [email-masked]
>         Mr. Marc Blanchet, Co-Chair, idn Working Group,
> [email-masked]          Mr. Erik Nordmark, Internet Area
> Director, [email-masked]          Mr. Thomas Narten, Internet Area
> Director, [email-masked]          Mr. John Klensin, Technical Advisor,
> [email-masked]
>         Mr. Harald Alverstrand, Technical Advisor, [email-masked]
>         RFC 2026 Submissions to IETF Director, [email-masked]
>
>
>
>
>

---

From: "James Seng/Personal" <[email-masked]>
Date: Fri, 18 Jan 2002 02:18:30 +0800

Hi Bill,

I acknowlegded I received this mail as "co-chair for idn wg". I have also tried to forward your mail to the idn wg mailing list but somehow it is messed up (sorry). I would appreciate if you can resend your mail to the idn wg again.

Since Harald had already responded to you on the behalf of IETF so I have no further comemnts to add.

Incidently, IETF generally have more engineers and very few lawyers. I am not sure if idn wg is in any position to review your patent filing claims, a job usually reserved for patent lawyers. 

-James Seng
  ----- Original Message ----- 
  From: Heinze, Bill 
  To: [email-masked]' 
  Cc: 'Mr. James Seng, Co-Chair, idn Working Group,' ; 'Mr. Marc Blanchet, Co-Chair, idn Working Group,' ; 'Mr. Erik Nordmark, Internet Area Director,' ; 'Mr. Thomas Narten, Internet Area Director,' ; 'Mr. John Klensin, Technical Advisor,' ; 'Mr. Harald Alverstrand, Technical Advisor,' ; 'RFC 2026 Submissions to IETF Director,' 
  Sent: Thursday, January 17, 2002 8:44 AM
  Subject: IETF Notification of Patent Publication for WO 01/90955 A2 

  January 16, 2002

  Dear Subscribers:

  In accordance with Section 10 of the The Internet Standards Process (RFC 2026), we are writing on behalf of .NU Domain and its affiliate WorldNames,TM Inc. to notify you of the publication of World Intellectual Property Organization International Publication No. WO 01/90955 A2 entitled "Internationalized Domain Name System with Iterative Conversion." A copy of this document is available at the following website: 

  http://l2.espacenet.com/dips/bnsviewer?CY=ep&LG=en&DB=EPD&PN=WO0190955&ID=WO+++0190955A2+I+ 

  This patent application generally relates to a system, method, and logic for managing data, including a database for implementing a key value operation, such as a DNS resource record lookup, with a key having a predetermined encoding, such as Unicode. Also provided is an iterative converter for iteratively converting the key from each of multiple encodings to the predetermined encoding before performing the key value operation with each converted key. The system may also include a validator for verifying that a syntax of each converted key is valid and a normalizer for normalizing each converted key. 

  We believe that many of the technologies being discussed in this mailing list infringe one or more of the 213 claims starting at page 87 of the attached publication. We would therefore like to propose that you review these claims and contact us immediately with regard to obtaining a license and/or authorized access to WorldNames™ MLDNS™ multilingual DNS products and services described at the following hyperlink:

  Please note that failure to promptly obtain the appropriate authorization may subject you and your organization to liability for royalties in the U.S. as of the date that you receive this letter under 35 U.S.C. §154(d). Once the application is granted, additional remedies are also available including injunctions, treble damages, and attorney fees. A variety of other presumptions and remedies may also be available in the U.S. and abroad.

  If you believe that you have a defense to these allegations, such as non-infringement or prior invention, then please provide us with additional information to refute our allegations and avoid further involvement with this matter. Similarly, if you believe that any of the attached claims are not patentable, then please bring them to our attention, along with any relevant prior art, so that we may submit that information to the appropriate patent offices.

  Sincerely,

  William F. Heinze, Esq.* 

  Tel.:  (770) 933-9500 
  Fax:  (770) 951-0933 

  *Admitted to practice in the Commonwealth of Virginia.  Not admitted in Georgia. 

  cc:   Mr. James Seng, Co-Chair, idn Working Group, [email-masked]
          Mr. Marc Blanchet, Co-Chair, idn Working Group, [email-masked]
          Mr. Erik Nordmark, Internet Area Director, [email-masked]
          Mr. Thomas Narten, Internet Area Director, [email-masked] 
          Mr. John Klensin, Technical Advisor, [email-masked]
          Mr. Harald Alverstrand, Technical Advisor, [email-masked]
          RFC 2026 Submissions to IETF Director, [email-masked]

---

From: Dave Crocker <[email-masked]>
Date: Thu, 17 Jan 2002 10:34:35 -0800

At 02:18 AM 1/18/2002 +0800, James Seng/Personal wrote:

Incidently,
IETF generally have more engineers and very few lawyers. I am not sure if
idn wg is in any position to review your patent filing claims, a job
usually reserved for patent lawyers.

James,

1.  Unfortunately, quite a few IETF engineers have had to deal with
patent issues in recent years.  This means that they/we are in a
position to do expert review of the technical aspects of a filing.
Often that leads to distracting discussions in which we fall into the
trap of forgetting that we are not attorneys, but it still can provide
useful review of a filing's technology.

2.  An IETF working group has an obligation to pay attention to
claims that are asserted over IETF work.

d/

----------

Dave Crocker
<mailto:[email-masked]>

Brandenburg InternetWorking
<http://www.brandenburg.com>

tel +1.408.246.8253;  fax +1.408.273.6464

---

From: "James Seng/Personal" <[email-masked]>
Date: Fri, 18 Jan 2002 18:23:12 +0800

> Often that leads to distracting discussions in which we fall into
> the trap of forgetting that we are not attorneys, but it still can
> provide useful review of a filing's technology.

Yes. But that does not mean we (idn wg) try to play the role of patent
lawyers.

> 2.  An IETF working group has an obligation to pay attention to claims
> that are asserted over IETF work.

Definately.

The group should discuss the claims of the patents wrt to the work we
are doing. As you said, the wg have an obligation to determine if the
technology we moving forward is infringing on some potential patents. We
may then decide if we want to move forward with it or work around it or
whatever.

But the group is not responsible nor have a charter goal to assist
someone to assert the validity of their patent filing, a job best left
for patents lawyers.

If any of the individual in the group wish to assist Bill Heinze in
finding prior arts or assert validity of his patent filing, they are
free to do so in their own capacity.

Note: patent application are automatically published a year from filing,
regardless of the status of the application. From Bill's mail, it is
clear that a patent have been filed but it is not clear if their patent
have been granted.

-James Seng